<?php
/**
* Enqueues child theme stylesheet, loading first the parent theme stylesheet.
*/
function fthemes_custom_enqueue_child_theme_styles() {
$parent_style = 'pantograph-stylesheet';
wp_enqueue_style( $parent_style, get_template_directory_uri() . '/style.css' );
wp_enqueue_style( 'pantograph-child-stylesheet',
        get_stylesheet_directory_uri() . '/style.css',
        array( $parent_style )
    );
}
add_action( 'wp_enqueue_scripts', 'fthemes_custom_enqueue_child_theme_styles' );

/**
  * Set up My Child Theme's textdomain.
  *
  * Declare textdomain for this child theme.
  * Translations can be added to the /languages/ directory.
  */
function pantograph_child_theme_setup() {
    load_child_theme_textdomain( 'pantograph', get_stylesheet_directory() . '/languages' );
}
add_action( 'after_setup_theme', 'pantograph_child_theme_setup' );

//Start writing your functions below