<?php
/* -----------------------------------------------------------------------------
 * Extra Settings in Settings > Design Settings Page
 * -------------------------------------------------------------------------- */
global $pagenow;
if ( is_admin() && 'themes.php' == $pagenow && isset( $_GET['activated'] ) ) {

	wp_redirect(admin_url("options-general.php?page=about-page")); // custom design page URL
	
}

add_action('admin_enqueue_scripts', 'pantograph_custom_admin_css'); // add css to admin page
function pantograph_custom_admin_css() {
	wp_enqueue_style( 'pantograph-admin_css', get_template_directory_uri() . '/css/pantograph-admin-style.css', false, '1.0.0' );
}

add_action('admin_menu', 'pantograph_about_settings_submenu_page');
function pantograph_about_settings_submenu_page() {
    add_submenu_page(
        'options-general.php',
        'About Page',
        'About Page',
        'manage_options',
        'about-page',
        'pantograph_about_submenu_page_callback' );
}

function pantograph_about_submenu_page_callback() {
?>
<div class="wrap panto-page-welcome about-wrap">
<h1 class="title"><?php echo sprintf( esc_html__( 'Welcome to PantoGraph World - Version %s', 'pantograph' ), preg_replace( '/^(\d+)(\.\d+)?(\.\d)?/', '$1$2', PANTOGRAPH_THEME_VERSION ) ) ?></h1>
<div class="about-text"><?php esc_html_e('Congratulations! You are about to use most powerful version of PantoGraph theme.', 'pantograph') ?></div>
<div class="wp-badge vc-page-logo"><?php esc_html_e('Version ', 'pantograph');?><?php echo PANTOGRAPH_THEME_VERSION; ?></div>
<?php
}
add_action('admin_menu', 'pantograph_register_required_plugins_settings_submenu_page');
function pantograph_register_required_plugins_settings_submenu_page() {
    add_submenu_page(
        'options-general.php',
        'Plugins Page',
        'Plugins Page',
        'manage_options',
        'required-plugins-settings',
        'pantograph_required_plugins_settings_submenu_page_callback' );
}
function pantograph_required_plugins_settings_submenu_page_callback() {
?>
<div class="wrap panto-page-welcome about-wrap">
<div class="update-nag">
<p><h3><?php esc_html_e('Verify Purchase and Download Plugins :', 'pantograph') ?></h3>
<p class="first-para"><?php esc_html_e('You must', 'pantograph') ?> <a class="button button-primary customized" target="_blank" href="https://fluentthemes.com/verify-purchase/pantograph/"><?php esc_html_e('Verify Theme Purchase Code', 'pantograph') ?></a> <?php esc_html_e('in order to get the Download Link of The PantoGraph Extensions plugin.', 'pantograph') ?> <a class="notes" href="https://help.market.envato.com/hc/en-us/articles/202822600-Where-Is-My-Purchase-Code-" target="_blank"><?php esc_html_e('Where to Find my Theme Purchase Code?', 'pantograph') ?></a>.<br>
<span class="thered notes"><?php esc_html_e('The Extensions plugin (The PantoGraph Extensions) is required to run the theme. Without this plugin you may see only shortcodes instead of actual page elements at the front-end.', 'pantograph') ?></span>
</p>
<p>
<h3><?php esc_html_e('Download and Install the required Plugins given here', 'pantograph') ?> : </h3>
<ul>
<li><a target="_blank" href="https://fluentthemes.com/wp/fluent-themes-updated-plugins/js_composer.zip"><?php esc_html_e('Download WPBakery Page Builder Plugin', 'pantograph') ?></a></li>
<li><a target="_blank" href="https://fluentthemes.com/wp/fluent-themes-updated-plugins/ft-sidebar-generator.zip"><?php esc_html_e('Download FT Sidebar Generator Plugin', 'pantograph') ?></a></li>
<li><a target="_blank" href="https://fluentthemes.com/verify-purchase/pantograph/"><?php esc_html_e('Verify Theme Purchase Code and Download The Pantograph Extensions plugin', 'pantograph') ?></a></li>
</ul>
</p>
</p>
</div>
<div class="mtop50">
<div class="center">
<p class="first-para">
<?php esc_html_e('I have Downloaded, Installed and Activated all the required plugins.', 'pantograph') ?>
</p>
<?php if ( pantograph_is_extensions_plugin_active() ) { ?>
<a class="button button-primary" target="_blank" href="<?php echo admin_url("themes.php?page=pt-one-click-demo-content");?>">
<?php esc_html_e('Take me to Demo Content Import Page', 'pantograph') ?>
</a>
<?php } else { ?>
<a class="button button-primary" target="_blank" href="<?php echo admin_url("options.php?page=demo-error-page");?>">
<?php esc_html_e('Take me to Demo Content Import Page', 'pantograph') ?>
</a>
<?php } ?>
</div>
<div class="center mtop20 mbottom20">
<?php esc_html_e('OR', 'pantograph') ?>
</div>
<div class="center">
<a class="button button-primary" target="_blank" href="https://themeforest.net/item/pantograph-newspaper-magazine-theme/20742636/support"><?php esc_html_e('Contact Support Team', 'pantograph') ?></a>
</div>
</div>
</div>
<?php
}

add_action('admin_menu', 'pantograph_register_demo_error_page_submenu_page');
function pantograph_register_demo_error_page_submenu_page() {
    add_submenu_page(
        'options.php',
        'Demo Error Page',
        'Demo Error Page',
        'manage_options',
        'demo-error-page',
        'pantograph_demo_error_page_submenu_page_callback' );
}
function pantograph_demo_error_page_submenu_page_callback() {
?>
<div class="wrap panto-page-welcome about-wrap">
<div class="update-nag">
<p><h3><?php esc_html_e('Sorry, you are not allowed to access this page', 'pantograph') ?></h3>
<p class="first-para">
<span class="thered notes"><?php esc_html_e('The Extensions plugin (The PantoGraph Extensions) is required to access to the Demo Content Import page.', 'pantograph') ?></span> <a target="_blank" href="https://fluentthemes.com/knowledgebase/documentation/blog/how-to-install-and-activate-a-plugin-in-wordpress/"><?php esc_html_e('How to Install and Activate a plugin in WordPress?', 'pantograph') ?></a>
</p>
<p>
<a class="button button-primary" target="_blank" href="<?php echo admin_url("plugins.php");?>">
<?php esc_html_e('Take me to the Plugins Page', 'pantograph') ?>
</a>
<p class="first-para">
<?php esc_html_e('Once the extensions plugin is activated, click on', 'pantograph') ?> <a target="_blank" href="<?php echo admin_url("themes.php?page=pt-one-click-demo-content");?>"><?php esc_html_e('this link', 'pantograph') ?></a> <?php esc_html_e('to get to your Demo Import page.', 'pantograph') ?>
</p>
</p>
</p>
</div>
</div>
<?php
}